Package: org.gradle.api.reporting

## [Java] Class GenerateBuildDashboard

- org.gradle.api.reporting.GenerateBuildDashboard

- All Implemented Interfaces and Traits:
    Reporting

      @Incubating
      public class GenerateBuildDashboard
      extends DefaultTask

  Generates build dashboard report.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GenerateBuildDashboard ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `aggregate(Reporting<? extends ReportContainer<?>>... reportings)` Configures which reports are to be aggregated in the build dashboard report generated by this task.
    `Set<ReportState>` | `getInputReports()`
    `protected Instantiator` | `getInstantiator()`
    `BuildDashboardReports` | `getReports()` The reports to be generated by this task.
    `BuildDashboardReports` | `reports(Closure closure)` Configures the reports to be generated by this task.

- - ### Constructor Detail

    - #### public GenerateBuildDashboard()

  - ### Method Detail

    - #### public void aggregate(Reporting<? extends ReportContainer<?>>... reportings)

      Configures which reports are to be aggregated in the build dashboard report generated by this task.

           buildDashboard {
             aggregate codenarcMain, checkstyleMain
           }

      Parameters:
        `reportings` - an array of Reporting instances that are to be aggregated

    - #### @Input public Set<ReportState> getInputReports()

    - #### @Inject protected Instantiator getInstantiator()

    - #### public BuildDashboardReports getReports()

      The reports to be generated by this task.

      Returns:
        The reports container

    - #### public BuildDashboardReports reports(Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

           buildDashboard {
             reports {
               html {
                 destination "build/dashboard.html"
               }
             }
           }

      Parameters:
        `closure` - The configuration
      Returns:
        The reports container